clang 8.0.0

Functions
WebAssembly.cpp File Reference
`#include "WebAssembly.h"`
`#include "CommonArgs.h"`
`#include "clang/Driver/Compilation.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/Option/ArgList.h"`
Include dependency graph for WebAssembly.cpp:

Go to the source code of this file.

## Functions
static std::string | getMultiarchTriple (const Driver &D, const llvm::Triple &TargetTriple, StringRef SysRoot)
| Following the conventions in https://wiki.debian.org/Multiarch/Tuples, we remove the vendor field to form the multiarch triple. More...

## Function Documentation

## ◆ getMultiarchTriple()

static std::string getMultiarchTriple | ( | const Driver & | D,
|  | const llvm::Triple & | TargetTriple,
|  | StringRef | SysRoot
| ) |  |
| static

Following the conventions in https://wiki.debian.org/Multiarch/Tuples, we remove the vendor field to form the multiarch triple.

Definition at line 29 of file WebAssembly.cpp.

References llvm::str().

Referenced by clang::driver::tools::wasm::Linker::ConstructJob().